#140152 Report by node mother covering 2135 tests from 61 modules resulted into 4 errors

Report

ObsPy version
1.4.1.post0+272.g368b2b3826.d…
GitHub Pull Request
-
Report file
JSON document
Total runtime
130.9 sec
Report date/time
May 24, 2024, 8:45 a.m.

System / Python

Architecture
64bit
Machine
x86_64
Node
mother
Processor
Python Compiler
GCC 12.3.0
Python Implementation
CPython
Python Version
3.10.14
Release
5.10.0-25-amd64
System
Linux
Version
#1 SMP Debian 5.10.191-1 (2023-08-16)

Dependencies

cartopy
0.23.0
decorator
5.1.1
flake8
---
geographiclib
2.0
lxml
5.2.2
matplotlib
3.8.4
numpy
2.0.0rc2
obspy
1.4.1.post0+272.g368b2b3826.dirty.obspy.np2
pyproj
3.6.1
pytest
8.2.1
pytest-json-report
1.5.0
requests
2.32.2
scipy
1.13.1
setuptools
70.0.0
shapefile
---
sqlalchemy
2.0.30

Modules (61)

Module Errors / Failures Tracebacks
obspy.clients.earthworm Not tested -
obspy.clients.fdsn - -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl - -
obspy.clients.seedlink - -
obspy.clients.syngine Not tested -
obspy.core 2 1 2
obspy.core.event - -
obspy.core.inventory - -
obspy.core.util - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.alsep - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.csv - -
obspy.io.cybershake - -
obspy.io.dmx - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.hypodd - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed 1 3
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime 1 4
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 4 4

Tracebacks (4)

Traceback (most recent call last):
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/runner.py", line 341, in from_call
result: Optional[TResult] = func()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/runner.py", line 241, in <lambda>
lambda: runtest_hook(item=item, **kwds), when=when, reraise=reraise
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_hooks.py", line 513, in __call__
return self._hookexec(self.name, self._hookimpls.copy(), kwargs, firstresult)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_manager.py", line 120, in _hookexec
return self._inner_hookexec(hook_name, methods, kwargs, firstresult)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 182, in _multicall
return outcome.get_result()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_result.py", line 100, in get_result
raise exc.with_traceback(exc.__traceback__)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/threadexception.py", line 87, in pytest_runtest_call
yield from thread_exception_runtest_hook()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/threadexception.py", line 63, in thread_exception_runtest_hook
yield
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/unraisableexception.py", line 90, in pytest_runtest_call
yield from unraisable_exception_runtest_hook()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/unraisableexception.py", line 65, in unraisable_exception_runtest_hook
yield
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/logging.py", line 850, in pytest_runtest_call
yield from self._runtest_for(item, "call")
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/logging.py", line 833, in _runtest_for
yield
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/capture.py", line 878, in pytest_runtest_call
return (yield)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/skipping.py", line 257, in pytest_runtest_call
return (yield)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 103, in _multicall
res = hook_impl.function(*args)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/runner.py", line 183, in pytest_runtest_call
raise e
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/runner.py", line 173, in pytest_runtest_call
item.runtest()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/python.py", line 1632, in runtest
self.ihook.pytest_pyfunc_call(pyfuncitem=self)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_hooks.py", line 513, in __call__
return self._hookexec(self.name, self._hookimpls.copy(), kwargs, firstresult)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_manager.py", line 120, in _hookexec
return self._inner_hookexec(hook_name, methods, kwargs, firstresult)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 139, in _multicall
raise exception.with_traceback(exception.__traceback__)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 103, in _multicall
res = hook_impl.function(*args)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/python.py", line 162, in pytest_pyfunc_call
result = testfunction(**testargs)
File "/home/megies/git/obspy/obspy/core/tests/test_preview.py", line 68, in test_create_preview_with_masked_arrays
np.testing.assert_array_equal(preview.data,
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/numpy/_utils/__init__.py", line 85, in wrapper
return fun(*args, **kwargs)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/numpy/testing/_private/utils.py", line 1021, in assert_array_equal
assert_array_compare(operator.__eq__, actual, desired, err_msg=err_msg,
File "/home/megies/miniconda3/envs/np2/lib/python3.10/contextlib.py", line 79, in inner
return func(*args, **kwds)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/numpy/testing/_private/utils.py", line 885, in assert_array_compare
raise AssertionError(msg)
AssertionError:
Arrays are not equal
Mismatched elements: 2 / 10 (20%)
Max absolute difference among violations: 1.0
Max relative difference among violations: 1.0
ACTUAL: array([ 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.], dtype=float32)
DESIRED: array([ 0, 0, 0, 0, -1, -1, 0, 0, 0, 0])
Traceback (most recent call last):
File "/home/megies/git/obspy/obspy/core/tests/test_waveform_plugins.py", line 267, in test_is_format
assert len(false_positives) == 0
AssertionError: assert 2 == 0
+ where 2 = len([('ALSEP_WTH', '/home/megies/git/obspy/obspy/io/gcf/tests/data/20160603_1910n.gcf'), ('ALSEP_WTH', '/home/megies/git/obspy/obspy/io/gcf/tests/data/20160603_1955n.gcf')])
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/runner.py", line 341, in from_call
result: Optional[TResult] = func()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/runner.py", line 241, in <lambda>
lambda: runtest_hook(item=item, **kwds), when=when, reraise=reraise
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_hooks.py", line 513, in __call__
return self._hookexec(self.name, self._hookimpls.copy(), kwargs, firstresult)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_manager.py", line 120, in _hookexec
return self._inner_hookexec(hook_name, methods, kwargs, firstresult)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 182, in _multicall
return outcome.get_result()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_result.py", line 100, in get_result
raise exc.with_traceback(exc.__traceback__)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/threadexception.py", line 87, in pytest_runtest_call
yield from thread_exception_runtest_hook()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/threadexception.py", line 63, in thread_exception_runtest_hook
yield
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/unraisableexception.py", line 90, in pytest_runtest_call
yield from unraisable_exception_runtest_hook()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/unraisableexception.py", line 65, in unraisable_exception_runtest_hook
yield
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/logging.py", line 850, in pytest_runtest_call
yield from self._runtest_for(item, "call")
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/logging.py", line 833, in _runtest_for
yield
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/capture.py", line 878, in pytest_runtest_call
return (yield)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/skipping.py", line 257, in pytest_runtest_call
return (yield)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 103, in _multicall
res = hook_impl.function(*args)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/runner.py", line 183, in pytest_runtest_call
raise e
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/runner.py", line 173, in pytest_runtest_call
item.runtest()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/python.py", line 1632, in runtest
self.ihook.pytest_pyfunc_call(pyfuncitem=self)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_hooks.py", line 513, in __call__
return self._hookexec(self.name, self._hookimpls.copy(), kwargs, firstresult)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_manager.py", line 120, in _hookexec
return self._inner_hookexec(hook_name, methods, kwargs, firstresult)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 139, in _multicall
raise exception.with_traceback(exception.__traceback__)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 103, in _multicall
res = hook_impl.function(*args)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/python.py", line 162, in pytest_pyfunc_call
result = testfunction(**testargs)
File "/home/megies/git/obspy/obspy/core/tests/test_waveform_plugins.py", line 272, in test_is_format
raise Exception(msg)
Exception: False positives for isFormat:
	Format ALSEP_WTH: /home/megies/git/obspy/obspy/io/gcf/tests/data/20160603_1910n.gcf
	Format ALSEP_WTH: /home/megies/git/obspy/obspy/io/gcf/tests/data/20160603_1955n.gcf
Traceback (most recent call last):
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/runner.py", line 341, in from_call
result: Optional[TResult] = func()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/runner.py", line 241, in <lambda>
lambda: runtest_hook(item=item, **kwds), when=when, reraise=reraise
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_hooks.py", line 513, in __call__
return self._hookexec(self.name, self._hookimpls.copy(), kwargs, firstresult)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_manager.py", line 120, in _hookexec
return self._inner_hookexec(hook_name, methods, kwargs, firstresult)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 182, in _multicall
return outcome.get_result()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_result.py", line 100, in get_result
raise exc.with_traceback(exc.__traceback__)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/threadexception.py", line 87, in pytest_runtest_call
yield from thread_exception_runtest_hook()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/threadexception.py", line 63, in thread_exception_runtest_hook
yield
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/unraisableexception.py", line 90, in pytest_runtest_call
yield from unraisable_exception_runtest_hook()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/unraisableexception.py", line 65, in unraisable_exception_runtest_hook
yield
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/logging.py", line 850, in pytest_runtest_call
yield from self._runtest_for(item, "call")
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/logging.py", line 833, in _runtest_for
yield
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/capture.py", line 878, in pytest_runtest_call
return (yield)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/skipping.py", line 257, in pytest_runtest_call
return (yield)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 103, in _multicall
res = hook_impl.function(*args)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/runner.py", line 183, in pytest_runtest_call
raise e
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/runner.py", line 173, in pytest_runtest_call
item.runtest()
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/python.py", line 1632, in runtest
self.ihook.pytest_pyfunc_call(pyfuncitem=self)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_hooks.py", line 513, in __call__
return self._hookexec(self.name, self._hookimpls.copy(), kwargs, firstresult)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_manager.py", line 120, in _hookexec
return self._inner_hookexec(hook_name, methods, kwargs, firstresult)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 139, in _multicall
raise exception.with_traceback(exception.__traceback__)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/pluggy/_callers.py", line 103, in _multicall
res = hook_impl.function(*args)
File "/home/megies/miniconda3/envs/np2/lib/python3.10/site-packages/_pytest/python.py", line 162, in pytest_pyfunc_call
result = testfunction(**testargs)
File "/home/megies/git/obspy/obspy/io/mseed/tests/test_mseed_util.py", line 639, in test_time_shifting
util.shift_time_of_file(filename, output_filename, 22000)
File "/home/megies/git/obspy/obspy/io/mseed/util.py", line 1612, in shift_time_of_file
current_record[36] = current_record[36] & (~2)
OverflowError: Python integer -3 out of bounds for uint8
099 >>> len(rt_trace)
100 12684
101
102 5. Some post processing to get Mwp::
103
104 >>> peak = np.amax(np.abs(rt_trace.data))
105 >>> print(peak)
106 0.136404
107 >>> mwp = calculate_mwp_mag(peak, epicentral_distance)
108 >>> print(mwp) # doctest: +ELLIPSIS
Expected:
8.78902911791...
Got:
8.789029086284867
/home/megies/git/obspy/obspy/realtime/rttrace.py:108: DocTestFailure

Skipped tests (20)

Submodule Test Skip message
core core/stream.py::obspy.core.stream._is_pickle Skipped: all tests skipped by +SKIP option
core.util core/util/misc.py::obspy.core.util.misc.CatchOutput Skipped: all tests skipped by +SKIP option
core.util core/util/misc.py::obspy.core.util.misc.SuppressOutput Skipped: all tests skipped by +SKIP option
core.util core/util/misc.py::obspy.core.util.misc.TemporaryWorkingDirectory Skipped: all tests skipped by +SKIP option
geodetics geodetics/tests/test_util_geodetics.py::TestUtilGeodetics::test_gps_2_dist_azimuth_bug150 Skipped: Geographiclib installed, not using calc_vincenty_inverse
imaging imaging/tests/test_mopad_script.py::TestMopad::test_script_plot Skipped: Currently broken until further review.
io.ascii io/ascii/core.py::obspy.io.ascii.core._is_slist Skipped: all tests skipped by +SKIP option
io.ascii io/ascii/core.py::obspy.io.ascii.core._is_tspair Skipped: all tests skipped by +SKIP option
io.gcf io/gcf/core.py::obspy.io.gcf.core._write_gcf Skipped: all tests skipped by +SKIP option
io.nordic io/nordic/utils.py::obspy.io.nordic.utils._evmagtonor Skipped: all tests skipped by +SKIP option
io.nordic io/nordic/utils.py::obspy.io.nordic.utils._nortoevmag Skipped: all tests skipped by +SKIP option
io.pde io/pde/mchedr.py::obspy.io.pde.mchedr._is_mchedr Skipped: all tests skipped by +SKIP option
io.quakeml io/quakeml/core.py::obspy.io.quakeml.core._is_quakeml Skipped: all tests skipped by +SKIP option
io.seisan io/seisan/core.py::obspy.io.seisan.core._is_seisan Skipped: all tests skipped by +SKIP option
io.sh io/sh/core.py::obspy.io.sh.core._is_asc Skipped: all tests skipped by +SKIP option
io.sh io/sh/core.py::obspy.io.sh.core._is_q Skipped: all tests skipped by +SKIP option
io.wav io/wav/core.py::obspy.io.wav.core._is_wav Skipped: all tests skipped by +SKIP option
io.y io/y/core.py::obspy.io.y.core._is_y Skipped: all tests skipped by +SKIP option
signal signal/quality_control.py::obspy.signal.quality_control.MSEEDMetadata Skipped: all tests skipped by +SKIP option
signal signal/tests/test_quality_control.py::TestQualityControl::test_schema_validation Skipped: Test requires the jsonschema module

Slowest tests (20)

Runtime Test
24.038s geodetics/tests/test_util_flinnengdahl.py::TestUtilFlinnEngdahl::test_coordinates
3.863s core/tests/test_event.py::TestEvent::test_plot_farfield_without_quiver_with_maps
3.239s io/xseed/tests/test_core.py::TestCore::test_response_calculation_from_seed_and_xseed
2.978s taup/tests/test_tau.py::TestTauPyModel::test_regional_models
2.569s taup/tests/test_seismic_phase.py::TestTauPySeismicPhase::test_shoot_existing_ray_param
2.366s signal/tests/test_calibration.py::TestCalibration::test_relcal_different_overlaps
2.357s taup/__init__.py::obspy.taup
1.389s signal/tests/test_cross_correlation.py::TestCrossCorrelation::test_correlate_stream_template_and_correlation_detector
1.271s taup/tests/test_tau.py::TestTauPyModel::test_vs_java_iasp91
1.233s io/csv/__init__.py::obspy.io.csv
1.230s taup/tests/test_seismic_phase.py::TestTauPySeismicPhase::test_many_identically_named_phases
1.193s core/tests/test_trace.py::TestTrace::test_trim_floating_point_with_padding_2
1.191s core/tests/test_trace.py::TestTrace::test_remove_response_plot
0.977s signal/tests/test_spectral_estimation.py::TestPsd::test_ppsd_restricted_stacks
0.976s signal/tests/test_interpolation.py::TestInterpolation::test_plot_lanczos_window
0.954s signal/tests/test_polarization.py::TestPolarization::test_polarization_vidale
0.924s taup/tests/test_taup_plotting.py::TestTauPyPlotting::test_spherical_many_phases
0.910s core/tests/test_network.py::TestNetworkCartopy::test_location_plot_ortho
0.909s io/arclink/tests/test_inventory_xml.py::TestArclinkInventory::test_auto_read_arclink_xml
0.902s core/tests/test_inventory.py::TestInventoryCartopy::test_location_plot_local

Warnings (9)

Stage Filename Category Message
runtest /home/megies/git/obspy/obspy/io/reftek/core.py:189 DeprecationWarning `in1d` is deprecated. Use `np.isin` instead.
runtest /home/megies/git/obspy/obspy/signal/cross_correlation.py:979 UserWarning FigureCanvasAgg is non-interactive, and thus cannot be shown
runtest /home/megies/git/obspy/obspy/imaging/scripts/scan.py:446 UserWarning FigureCanvasAgg is non-interactive, and thus cannot be shown
runtest /home/megies/git/obspy/obspy/taup/tau.py:1115 UserWarning FigureCanvasAgg is non-interactive, and thus cannot be shown
runtest /home/megies/git/obspy/obspy/imaging/beachball.py:278 UserWarning FigureCanvasAgg is non-interactive, and thus cannot be shown
runtest /home/megies/git/obspy/obspy/taup/tau.py:559 UserWarning FigureCanvasAgg is non-interactive, and thus cannot be shown
runtest /home/megies/git/obspy/obspy/taup/tau.py:247 UserWarning FigureCanvasAgg is non-interactive, and thus cannot be shown
runtest /home/megies/git/obspy/obspy/io/nordic/ellipse.py:377 DeprecationWarning Arrays of 2-dimensional vectors are deprecated. Use arrays of 3-dimensional vectors instead. (deprecated in NumPy 2.0)
runtest /home/megies/git/obspy/obspy/taup/tau.py:1228 UserWarning FigureCanvasAgg is non-interactive, and thus cannot be shown